#include <iostream>

using namespace std;
int a[100009];
int main()
{
   long long n, k=0, ans=0, ma=-6, uio=0, t=0, ty=0;
   scanf("%d", &n);
   long long  r=n-1;
   for(int i=0; i<n; i++)
   {
       cin>>a[i];
   }
   while(ma!=0)
   {
     ma=-6;
        ans+=a[r]; k++;
   for(int i=r; i>=0; i--)
   {
       if(a[i]==a[i-1]) {ans=ans+a[i-1]; k++;}
       else {r=i-1; uio++; break;}
   }
   if(uio==0) r--;
   for(int i=n-1; i>r; i--)
   {
       a[i]=0;
   }
   while(k--)
   {
     for(int i=r; i>=0; i--)
   {
       a[i]--;
   }
   }
    for(int i=n-1; i>=0; i--)
   {
       if(ma<a[i]) {ma=a[i];}
   }
   k=0; uio=0;
  }

  printf("%d", ans);

}
